Summary:	Raptor RDF Parser Toolkit
Summary(pl.UTF-8):	Raptor - zestaw narzędzi do analizy RDF
Name:		libraptor2
# the real name is raptor2, but it follows libraptor (named as such because raptor was already occupied)
%define	rname	raptor2
Version:	2.0.16
Release:	3
License:	LGPL v2.1+ or GPL v2+ or Apache v2.0+
Group:		Libraries
Source0:	https://download.librdf.org/source/%{rname}-%{version}.tar.gz
# Source0-md5:	0a71f13b6eaa0a04bf411083d89d7bc2
Patch0:		%{rname}-libxml2.patch
URL:		https://librdf.org/raptor/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
# WWW library can be one of: curl(default),xml,libfetch,none
BuildRequires:	curl-devel >= 7.12.0
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	libicu-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	libxslt-devel >= 1.0.18
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	yajl-devel
Requires:	curl-libs >= 7.12.0
Requires:	libxml2 >= 1:2.6.8
Requires:	libxslt >= 1.0.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Raptor is the RDF Parser Toolkit for Redland written in C consisting
of two parsers for the RDF/XML and N-Triples syntaxes for RDF. Raptor
is designed to work efficiently when used with Redland but is entirely
separate.

%description -l pl.UTF-8
Raptor to zestaw narzędzi do analizy RDF dla Redland napisany w C,
składający się z dwóch analizatorów dla składni RDF/XML i N-Triplets
dla RDF. Raptor został zaprojektowany, by pracować wydajnie, jeśli
jest używany z Redland, ale jest całkowicie oddzielny.

%package devel
Summary:	libraptor2 library header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libraptor2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.12.0
Requires:	libicu-devel
Requires:	libxml2-devel >= 1:2.6.8
Requires:	libxslt-devel >= 1.0.18
Requires:	yajl-devel

%description devel
libraptor2 library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libraptor2.

%package static
Summary:	Static libraptor2 library
Summary(pl.UTF-8):	Statyczna biblioteka libraptor2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraptor2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libraptor2.

%package apidocs
Summary:	libraptor2 API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libraptor2
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
libraptor2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libraptor2.

%package rapper
Summary:	Raptor RDF parser test program
Summary(pl.UTF-8):	Testowy program parsera Raptor RDF
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libraptor-rapper < 2.0.0
Obsoletes:	redland-rapper < 0.9.18

%description rapper
Raptor RDF parser test program.

%description rapper -l pl.UTF-8
Testowy program parsera Raptor RDF.

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# avoid using parsedate from libinn, use curl_getdate instead
%configure \
	ac_cv_header_libinn_h=no \
	--enable-release \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libraptor2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE.txt NEWS NOTICE README RELEASE.html UPGRADING.html
%attr(755,root,root) %{_libdir}/libraptor2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libraptor2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libraptor2.so
%{_includedir}/raptor2
%{_pkgconfigdir}/raptor2.pc
%{_mandir}/man3/libraptor2.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libraptor2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/raptor2

%files rapper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rapper
%{_mandir}/man1/rapper.1*
%changelog
* Fri Jan 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libraptor2.git;a=log;h=master

* Fri Jan 17 2025 Jan Palus <atler@pld-linux.org> 360629b
- icu 76 rebuild

* Wed Jul 05 2023 Jakub Bogusz <qboosh@pld-linux.org> ab11964
- added libicu dependency

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> bb620d2
- icu rebuild

* Fri Jun 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 31b4b32
- updated to 2.0.16 (fixes CVE-2017-18926, CVE-2020-25713)
- added libxml2 patch to fix build with libxml2 2.11.x

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 1df1fa8
- unconditional noarch subpackages

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 2b6f308
- drop .la file, updated noarch package rule, release 2

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> e73eff9
- updated to 2.0.15

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 886d84b
- noarch apidocs

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 250db3f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 93c4aba
- updated to 2.0.14

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> dfd86e7
- updated to 2.0.13

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 50d4b45
- updated to 2.0.11

* Sat Aug 31 2013 Jakub Bogusz <qboosh@pld-linux.org> d869f9a
- updated to 2.0.10

* Sat Mar 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e309c82
- updated to 2.0.9

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 08a05d5
- release 2 (rebuild with new yajl soname)

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> b5821c9
- updated to 2.0.8

* Sun Apr 08 2012 Jakub Bogusz <qboosh@pld-linux.org> d193679
- updated to 2.0.7 (fixes CVE-2012-0037)
- expat no longer supported, but we've used libxml2 anyway

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 2d8e347
- updated to 2.0.6

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 3f62155
- updated to 2.0.5

* Wed Jul 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 4ffc8e8
- versioned curl deps

